package com.free.video.wallpaper.baseapp;

import android.app.Application;
import android.graphics.Typeface;

import com.google.gson.Gson;
import com.google.gson.reflect.TypeToken;
import com.free.video.wallpaper.content.ResultData;
import com.free.video.wallpaper.helper.Commontool;
import com.free.video.wallpaper.helper.ObjectBoxManager;
import com.free.video.wallpaper.helper.Store;

import java.io.InputStream;
import java.lang.reflect.Type;
import java.util.List;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;

public class MyWallpaperApp extends Application {
    private static Typeface defaultFont;
    private static MyWallpaperApp mApplication;
    private static String thumbStr = "https://neutrolabgames.com/LiveLoop/CpanelPix/VideoThumb/";

    public static String TAG = "--------------------LIVE----------";
    public static String getThumbStr() {
        return thumbStr;
    }

    public static MyWallpaperApp getApplication() {
        return mApplication;
    }

    @Override
    public void onCreate() {
        super.onCreate();
        mApplication = this;
        defaultFont = Typeface.createFromAsset(getAssets(), "font.ttf");
//        initSDk();
        ObjectBoxManager.init(this);
        String dbinit = Store.INSTANCE.getDbinit();
        if(dbinit.equals("0")){
            loadData();
        }

    }

    public static Typeface getDefaultFont() {
        return defaultFont;
    }

    private void loadData() {
          String name[] = {"trending.json","Explore.json","Shift.json"};
            ExecutorService cachedThreadPool = Executors.newFixedThreadPool(3);
              for (int i = 0;i<3;i++){
                  int task = i;
                  cachedThreadPool.execute(new Runnable() {
                      @Override
                      public void run() {
                          Gson gson = new Gson();
                          InputStream open = null;
                          try {
                              open = getAssets().open(name[task]);
                          }catch (Exception e){
                          }
                          if(open == null){
                              return;
                          }
                          Type type = new TypeToken<List<ResultData>>() {
                          }.getType();
                          String covertStr = Commontool.getCovertStr(open);
                          List<ResultData> data = gson.fromJson(covertStr, type);
                          for (ResultData datum : data) {
                              ObjectBoxManager.insertDb(datum);
                          }
                          Store.INSTANCE.setDbinit("1");
                      }
                  });
              }
    }



    private void initSDk(){
//         String APPId ="h6776591bc967e";
//
//         String AppKey ="a359707dba4dcae7ac8bc66d0d163295c";
//         String debugKey = "d2f08ee302fdd0741819983376817c0bf71bfe67";
//        ATSDK.checkIsEuTraffic(this, new NetTrafficeCallback() {
//
//            @Override
//            public void onResultCallback(boolean isEU) {
//                if (isEU && ATSDK.getGDPRDataLevel(App.this) == ATSDK.UNKNOWN) {
//                    ATSDK.showGdprAuth(App.this);
//                }
//
//            }
//
//            @Override
//            public void onErrorCallback(String errorMsg) {
//
//            }
//        });
//        ATSDK.init( this, APPId, AppKey);
////        ATDebuggerUITest.showDebuggerUI(this,debugKey);
//        AdManager.loadAllAd();
    }
}
